Esta página fue traducida automáticamente y puede contener errores. Para reportar un error de traducción, abre un issue en GitHub.
Ver detalles del centro de preferencias
get
/preference_center/v1/{preferenceCenterExternalID}
Utiliza este punto de conexión para ver los detalles de tus centros de preferencias, incluyendo cuándo se crearon y actualizaron.
Requisitos previos
Para utilizar este punto de conexión, necesitarás una clave de API con el permiso preference_center.get.
Límite de velocidad
Este punto final tiene un límite de velocidad de 1000 solicitudes por minuto, por espacio de trabajo, como se documenta en Límites de velocidad de la API.
Parámetros de ruta
| Parámetro | Obligatoria | Tipo de datos | Descripción |
|---|---|---|---|
preferenceCenterExternalID |
Obligatoria | Cadena | El ID de tu centro de preferencias. |
Parámetros de solicitud
No hay parámetros de solicitud para este punto de conexión.
Ejemplo de solicitud
1
2
curl --location -g --request GET https://rest.iad-01.braze.com/preference_center/v1/preference_center_external_id \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
Respuesta
1
2
3
4
5
6
7
8
9
10
11
12
13
14
{
"name": "My Preference Center",
"preference_center_api_id": "preference_center_api_id",
"created_at": "example_time_created",
"updated_at": "example_time_updated",
"preference_center_title": "Example preference center title",
"preference_center_page_html": "HTML for preference center here",
"confirmation_page_html": "HTML for confirmation page here",
"redirect_page_html": null,
"preference_center_options": {
"meta-viewport-content": "width=device-width, initial-scale=2"
},
"state": "active"
}
New Stuff!
Editar esta página en GitHub